package it.integry.integrywmsnative.gest.rettifica_giacenze.dto;

import java.math.BigDecimal;

import it.integry.integrywmsnative.core.model.MtbAart;

public class SearchArticoloByBarcodeOrCodMartResponseDTO {

    private MtbAart mtbAart;
    private BigDecimal qtaEsistente;
    private BigDecimal qtaImpegnata;
    private BigDecimal numCnfEsistente;
    private BigDecimal numCnfImpegnata;


    public MtbAart getMtbAart() {
        return mtbAart;
    }

    public SearchArticoloByBarcodeOrCodMartResponseDTO setMtbAart(MtbAart mtbAart) {
        this.mtbAart = mtbAart;
        return this;
    }

    public BigDecimal getQtaEsistente() {
        return qtaEsistente;
    }

    public SearchArticoloByBarcodeOrCodMartResponseDTO setQtaEsistente(BigDecimal qtaEsistente) {
        this.qtaEsistente = qtaEsistente;
        return this;
    }

    public BigDecimal getQtaImpegnata() {
        return qtaImpegnata;
    }

    public SearchArticoloByBarcodeOrCodMartResponseDTO setQtaImpegnata(BigDecimal qtaImpegnata) {
        this.qtaImpegnata = qtaImpegnata;
        return this;
    }

    public BigDecimal getNumCnfEsistente() {
        return numCnfEsistente;
    }

    public SearchArticoloByBarcodeOrCodMartResponseDTO setNumCnfEsistente(BigDecimal numCnfEsistente) {
        this.numCnfEsistente = numCnfEsistente;
        return this;
    }

    public BigDecimal getNumCnfImpegnata() {
        return numCnfImpegnata;
    }

    public SearchArticoloByBarcodeOrCodMartResponseDTO setNumCnfImpegnata(BigDecimal numCnfImpegnata) {
        this.numCnfImpegnata = numCnfImpegnata;
        return this;
    }
}
